part of 'generated.dart';

class DeleteTeamMemberVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteTeamMemberVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteTeamMemberData> dataDeserializer = (dynamic json)  => DeleteTeamMemberData.fromJson(jsonDecode(json));
  Serializer<DeleteTeamMemberVariables> varsSerializer = (DeleteTeamMemberVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteTeamMemberData, DeleteTeamMemberVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteTeamMemberData, DeleteTeamMemberVariables> ref() {
    DeleteTeamMemberVariables vars= DeleteTeamMemberVariables(id: id,);
    return _dataConnect.mutation("deleteTeamMember", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteTeamMemberTeamMemberDelete {
  final String id;
  DeleteTeamMemberTeamMemberDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamMemberTeamMemberDelete otherTyped = other as DeleteTeamMemberTeamMemberDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteTeamMemberTeamMemberDelete({
    required this.id,
  });
}

@immutable
class DeleteTeamMemberData {
  final DeleteTeamMemberTeamMemberDelete? teamMember_delete;
  DeleteTeamMemberData.fromJson(dynamic json):
  
  teamMember_delete = json['teamMember_delete'] == null ? null : DeleteTeamMemberTeamMemberDelete.fromJson(json['teamMember_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamMemberData otherTyped = other as DeleteTeamMemberData;
    return teamMember_delete == otherTyped.teamMember_delete;
    
  }
  @override
  int get hashCode => teamMember_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (teamMember_delete != null) {
      json['teamMember_delete'] = teamMember_delete!.toJson();
    }
    return json;
  }

  DeleteTeamMemberData({
    this.teamMember_delete,
  });
}

@immutable
class DeleteTeamMemberVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteTeamMemberVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamMemberVariables otherTyped = other as DeleteTeamMemberVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteTeamMemberVariables({
    required this.id,
  });
}

